Home
last modified time | relevance | path

Searched full:passwd (Results 1 – 25 of 835) sorted by relevance

12345678910>>...34

/external/python/cpython2/Lib/plat-os2emx/
Dpwd.py12 OS/2 and similar systems which don't normally have an /etc/passwd file.
35 - ${ETC}/passwd (or %ETC%/passwd)
36 - ${PYTHONHOME}/Etc/passwd (or %PYTHONHOME%/Etc/passwd)
62 # try and find the passwd file
67 __passwd_path.append('%s/passwd' % os.environ['ETC'])
69 __passwd_path.append('%s/Etc/passwd' % os.environ['PYTHONHOME'])
116 raise KeyError, '>> passwd database fields not delimited <<'
121 class Passwd: class
122 def __init__(self, name, passwd, uid, gid, gecos, dir, shell): argument
124 self.__dict__['pw_passwd'] = passwd
[all …]
/external/one-true-awk/testdir/
DT.redir5 $awk '{ print >"foo" }' /etc/passwd
6 diff foo /etc/passwd || echo 'BAD: T.redir (print >"foo")'
9 $awk '{ print >>"foo" }' /etc/passwd
10 diff foo /etc/passwd || echo 'BAD: T.redir (print >>"foo")'
14 NR%2 == 0 { print >"foo" }' /etc/passwd
15 diff foo /etc/passwd || echo 'BAD: T.redir (print > and >>"foo")'
18 $awk '{ print | "cat >foo" }' /etc/passwd
19 diff foo /etc/passwd || echo 'BAD: T.redir (print | "cat >foo")'
31 $awk '{ print >"/dev/stderr" }' /etc/passwd 1>foo1 2>foo2
32 diff foo2 /etc/passwd || echo 'BAD: T.redir (print >"/dev/stderr")'
[all …]
DT.getline27 while (getline <"/etc/passwd")
32 cmp -s /etc/passwd foo || echo 'BAD: T.getline (getline <file)'
34 cat /etc/passwd | $awk '
41 cmp -s /etc/passwd foo || echo 'BAD: T.getline (getline <"-")'
49 ' /etc/passwd >foo
50 cmp -s /etc/passwd foo || echo 'BAD: T.getline (getline <arg)'
58 ' /etc/passwd >foo
59 cmp -s /etc/passwd foo || echo 'BAD: T.getline (getline x <arg)'
67 ' /etc/passwd >foo
68 cmp -s /etc/passwd foo || echo 'BAD: T.getline (cat arg | getline)'
[all …]
DT.-f-f14 echo '/a/' | $awk -f - /etc/passwd >foo1
15 $awk '/a/' /etc/passwd >foo2
19 cp /etc/passwd foo1
23 $awk -f foo2 -f foo3 -f foo4 /etc/passwd >foo5
34 $awk -f foo2 -f foo3 -f foo4 /etc/passwd >foo5 2>foo6
/external/toybox/tests/
Duseradd.test25 grep '^$user:' /etc/passwd $arg && [ -d /home/$user ] &&
31 grep '^$user:' /etc/passwd $arg && [ -d /home/$user ] &&
37 grep '^$user:' /etc/passwd $arg && [ -d /home/$user ] &&
43 grep '^$user:' /etc/passwd $arg && [ -d /home/$user ] &&
50 grep '^$user:' /etc/passwd $arg && [ -d /home/$user ] &&
56 grep '^$user:.*dir' /etc/passwd $arg && [ -d $PWD/dir ] &&
63 grep '^$user:.*$gecos' /etc/passwd $arg && [ -d /home/$user ] &&
69 grep '^$user:.*$shl$' /etc/passwd $arg && [ -d /home/$user ] &&
76 grep '^$user:.*:.*:$g_id:.*' /etc/passwd $arg && [ -d /home/$user ] &&
81 grep '^$user:.*:.*:.*' /etc/passwd $arg && [ ! -e /home/$user ] &&
[all …]
/external/scrypt/patches/
Duse_openssl_pbkdf2.patch17 @@ -256,7 +260,11 @@ crypto_scrypt(const uint8_t * passwd, size_t passwdlen,
22 + PKCS5_PBKDF2_HMAC((const char *)passwd, passwdlen, salt, saltlen, 1, EVP_sha256(), p * 128 * r, B…
24 PBKDF2_SHA256(passwd, passwdlen, salt, saltlen, 1, B, p * 128 * r);
29 @@ -265,7 +273,11 @@ crypto_scrypt(const uint8_t * passwd, size_t passwdlen,
34 + PKCS5_PBKDF2_HMAC((const char *)passwd, passwdlen, B, p * 128 * r, 1, EVP_sha256(), buflen, buf);
36 PBKDF2_SHA256(passwd, passwdlen, B, p * 128 * r, 1, buf, buflen);
57 @@ -332,7 +336,11 @@ crypto_scrypt(const uint8_t * passwd, size_t passwdlen,
62 + PKCS5_PBKDF2_HMAC((const char *)passwd, passwdlen, salt, saltlen, 1, EVP_sha256(), p * 128 * r, B…
64 PBKDF2_SHA256(passwd, passwdlen, salt, saltlen, 1, B, p * 128 * r);
69 @@ -341,7 +349,11 @@ crypto_scrypt(const uint8_t * passwd, size_t passwdlen,
[all …]
/external/openssh/
Dmd5crypt.c53 static char passwd[120], salt_copy[9]; in md5_crypt() local
112 snprintf(passwd, sizeof(passwd), "%s%s$", magic, salt_copy); in md5_crypt()
143 strlcat(passwd, to64(l, 4), sizeof(passwd)); in md5_crypt()
145 strlcat(passwd, to64(l, 4), sizeof(passwd)); in md5_crypt()
147 strlcat(passwd, to64(l, 4), sizeof(passwd)); in md5_crypt()
149 strlcat(passwd, to64(l, 4), sizeof(passwd)); in md5_crypt()
151 strlcat(passwd, to64(l, 4), sizeof(passwd)); in md5_crypt()
153 strlcat(passwd, to64(l, 2), sizeof(passwd)); in md5_crypt()
162 return (passwd); in md5_crypt()
Dauth.h43 struct passwd;
64 struct passwd *pw; /* set if 'valid' */
129 auth_rhosts2(struct passwd *, const char *, const char *, const char *);
133 int hostbased_key_allowed(struct ssh *, struct passwd *,
135 int user_key_allowed(struct ssh *, struct passwd *, struct sshkey *, int,
187 int allowed_user(struct ssh *, struct passwd *);
188 struct passwd * getpwnamallow(struct ssh *, const char *user);
190 char *expand_authorized_keys(const char *, struct passwd *pw);
191 char *authorized_principals_file(struct passwd *);
193 FILE *auth_openkeyfile(const char *, struct passwd *, int);
[all …]
/external/ltp/
DIDcheck.sh39 passwd="$DESTDIR/etc/passwd"
70 for i in "$passwd" "$group"; do
77 fe bin "$passwd"; NO_BIN_ID=$?
78 fe daemon "$passwd"; NO_DAEMON_ID=$?
79 fe nobody "$passwd"; NO_NOBODY_ID=$?
93 echo "Password file: $passwd"
109 if ! touch "$group" "$passwd" 2>/dev/null; then
110 echo "Failed to touch $group or $passwd"
125 if ! fe "$name" "$passwd" && [ $no_id -ne 0 ] ; then
126 echo "${name}:x:${id}:${id}:${name}::" >> "$passwd"
[all …]
/external/toybox/toys/pending/
Duseradd.c45 struct passwd pwd;
62 // add_user(), add a new entry in /etc/passwd, /etc/shadow files
73 struct passwd *pw = getpwuid(getuid());
113 * 1. add an entry to /etc/passwd and /etcshadow file
115 * 3. update the user passwd by running 'passwd' utility
118 // 1. add an entry to /etc/passwd and /etc/shadow file
122 if (update_password("/etc/passwd", pwd.pw_name, entry)) error_exit("updating passwd file failed");
127 (unsigned)(time(NULL))/(24*60*60)); //passwd is not set initially
129 (unsigned)(time(0))/(24*60*60)); //passwd is not set initially
149 //3. update the user passwd by running 'passwd' utility
[all …]
/external/toybox/toys/lsb/
Dpasswd.c1 /* passwd.c - Program to update user password.
6 * http://refspecs.linuxfoundation.org/LSB_4.1.0/LSB-Core-generic/LSB-Core-generic/passwd.html
8 USE_PASSWD(NEWTOY(passwd, ">1a:dlu", TOYFLAG_STAYROOT|TOYFLAG_USR|TOYFLAG_BIN))
10 config PASSWD
11 bool "passwd"
15 usage: passwd [-a ALGO] [-dlu] [USER]
27 depends on PASSWD
58 struct passwd *pw = 0; in passwd_main()
70 // Get password from /etc/passwd or /etc/shadow in passwd_main()
107 // Update the passwd in passwd_main()
[all …]
/external/llvm-project/compiler-rt/test/sanitizer_common/TestCases/Posix/
Dgetpw_getgr.cpp20 void Check(const passwd *result) { in Check()
73 test<passwd>(&getpwuid, 0); in main()
74 test<passwd>(&getpwnam, "root"); in main()
80 test<passwd>(&getpwent); in main()
86 test_r<passwd>(&getpwent_r); in main()
91 test_r<passwd>(&getpwuid_r, 0); in main()
92 test_r<passwd>(&getpwnam_r, "root"); in main()
99 return std::unique_ptr<FILE, decltype(&fclose)>(fopen("/etc/passwd", "r"), in main()
106 test<passwd>(&fgetpwent, pwd_file().get()); in main()
108 test_r<passwd>(&fgetpwent_r, pwd_file().get()); in main()
/external/openssh/openbsd-compat/
Dxcrypt.c75 struct passwd *pw; in pick_salt()
76 char *passwd, *p; in pick_salt() local
85 if ((passwd = shadow_pw(pw)) == NULL) in pick_salt()
87 if (passwd[0] == '$' && (p = strrchr(passwd+1, '$')) != NULL) { in pick_salt()
88 typelen = p - passwd + 1; in pick_salt()
89 strlcpy(salt, passwd, MIN(typelen, sizeof(salt))); in pick_salt()
90 explicit_bzero(passwd, strlen(passwd)); in pick_salt()
136 shadow_pw(struct passwd *pw) in shadow_pw()
Dport-uw.c56 struct passwd *pw = authctxt->pw; in sys_auth_passwd()
97 char password_file[] = "/etc/passwd"; in nischeck()
99 struct passwd *ent = NULL; in nischeck()
103 * If the passwd file has disappeared we are in a bad state. in nischeck()
136 get_iaf_password(struct passwd *pw) in get_iaf_password()
144 fatal("ia_get_logpwd: Unable to get the shadow passwd"); in get_iaf_password()
149 fatal("ia_openinfo: Unable to open the shadow passwd file"); in get_iaf_password()
/external/selinux/policycoreutils/run_init/
Drun_init.c27 * If you choose not to use PAM, make sure you have a shadow passwd file
28 * in /etc/shadow. You can use a simlink if your shadow passwd file
35 * setuid root, so that it can read the shadow passwd file.
89 int authenticate_via_pam(const struct passwd *);
94 * the passwd file.
107 int authenticate_via_pam(const struct passwd *p_passwd_line) in authenticate_via_pam()
154 * All shadow passwd code goes in this section.
159 #include <shadow.h> /* for shadow passwd functions */
172 int authenticate_via_shadow_passwd(const struct passwd *);
177 * the passwd file.
[all …]
/external/ppp/pppd/plugins/
Dpasswordfd.c33 static int pwfd_passwd (char *user, char *passwd) in pwfd_passwd() argument
40 if (passwd == NULL) in pwfd_passwd()
44 strcpy (passwd, save_passwd); in pwfd_passwd()
50 red = read (passwdfd, passwd + readgood, MAXSECRETLEN - 1 - readgood); in pwfd_passwd()
66 passwd[readgood] = 0; in pwfd_passwd()
67 strcpy (save_passwd, passwd); in pwfd_passwd()
/external/autotest/site_utils/
Ddump_to_cloudsql.py10 dump_to_cloudsql.py [-h] [--resume NUM] [--user USER] [--passwd PASSWD] FILE
24 --passwd PASSWD passwd (ignored for CloudSQL)
115 def __init__(self, host=None, user='root', passwd=''): argument
120 self._passwd = passwd
135 passwd=self._passwd)
270 parser.add_argument('--passwd', default='', metavar='PASSWD',
271 help='passwd (ignored for Cloud SQL)')
277 args.passwd)
/external/ltp/testcases/kernel/syscalls/setresuid/
Dsetresuid02.c80 struct passwd nobody, bin;
91 struct passwd *exp_real_usr;
92 struct passwd *exp_eff_usr;
93 struct passwd *exp_sav_usr;
110 uid_verify(struct passwd *ru, struct passwd *eu, struct passwd *su, char *);
214 uid_verify(struct passwd *ru, struct passwd *eu, struct passwd *su, char *when) in uid_verify()
Dsetresuid03.c86 struct passwd nobody, bin, root;
98 struct passwd *exp_real_usr;
99 struct passwd *exp_eff_usr;
100 struct passwd *exp_sav_usr;
118 uid_verify(struct passwd *ru, struct passwd *eu, struct passwd *su, char *);
227 uid_verify(struct passwd *ru, struct passwd *eu, struct passwd *su, char *when) in uid_verify()
Dsetresuid01.c78 struct passwd nobody, bin, root;
89 struct passwd *exp_real_usr;
90 struct passwd *exp_eff_usr;
91 struct passwd *exp_sav_usr;
120 uid_verify(struct passwd *ru, struct passwd *eu, struct passwd *su, char *when);
204 uid_verify(struct passwd *ru, struct passwd *eu, struct passwd *su, char *when) in uid_verify()
/external/python/cpython2/Lib/
Dftplib.py9 >>> ftp.login() # default, i.e.: user anonymous, passwd anonymous@
84 host, user, passwd, acct, timeout
115 # and user, passwd, acct (for login())
116 def __init__(self, host='', user='', passwd='', acct='', argument
122 self.login(user, passwd, acct)
380 def login(self, user = '', passwd = '', acct = ''): argument
383 if not passwd: passwd = ''
385 if user == 'anonymous' and passwd in ('', '-'):
393 passwd = passwd + 'anonymous@'
395 if resp[0] == '3': resp = self.sendcmd('PASS ' + passwd)
[all …]
/external/ltp/testcases/kernel/syscalls/setreuid/
Dsetreuid04.c38 static struct passwd nobody, root;
48 struct passwd *exp_real_usr;
49 struct passwd *exp_eff_usr;
61 static void uid_verify(struct passwd *, struct passwd *, char *);
133 static void uid_verify(struct passwd *ru, struct passwd *eu, char *when) in uid_verify()
Dsetreuid02.c36 static struct passwd nobody, daemonpw, root, bin;
46 struct passwd *exp_real_usr;
47 struct passwd *exp_eff_usr;
65 static void uid_verify(struct passwd *ru, struct passwd *eu, char *when);
134 static void uid_verify(struct passwd *ru, struct passwd *eu, char *when) in uid_verify()
/external/crosvm/sys_util/src/
Dpasswd.rs5 //! Wrappers for passwd and group file access.
18 // libc::passwd is a C struct and can be safely initialized with zeroed memory. in get_user_id()
19 let mut passwd: libc::passwd = unsafe { mem::zeroed() }; in get_user_id() localVariable
20 let mut passwd_result: *mut libc::passwd = ptr::null_mut(); in get_user_id()
33 &mut passwd, in get_user_id()
43 Ok(passwd.pw_uid) in get_user_id()
/external/mtools/
Dmzip.c421 const char *passwd; in mzip() local
434 passwd = "APlaceForYourStuff"; in mzip()
435 if ((s = strchr(passwd, '\n'))) *s = '\0'; /* chomp */ in mzip()
437 passwd, extra_data); in mzip()
444 passwd = getpass("Password: "); in mzip()
445 if ((s = strchr(passwd, '\n'))) *s = '\0'; /* chomp */ in mzip()
447 unlockMode, passwd, in mzip()
449 if (ret == -1) perror("passwd: "); in mzip()
464 passwd = getpass("Enter new password:"); in mzip()
465 strncpy(first_try, passwd,_PASSWORD_LEN); in mzip()
[all …]

12345678910>>...34